import { StyleSheet } from 'react-native'
import { fontSizes, windowHeight, windowWidth } from '../../theme/appConstant'
import appColors from '../../theme/appColors'
import appFonts from '../../theme/appFonts'

const styles = StyleSheet.create({
  tabBar: {
    height: windowHeight(57),
    paddingBottom: windowHeight(11),
    paddingTop: windowHeight(10),
    borderTopWidth: windowHeight(1),
    overflow: 'hidden',
  },
  text: {
    fontSize: fontSizes.FONT17,
  },
  flex: {
    flex: 1,
  },
  tabBarContainer: {
    position: 'absolute',
    bottom: windowHeight(0),
    left: windowHeight(0),
    right: windowHeight(0),
    height: windowHeight(9),
    backgroundColor: appColors.white,
    borderTopRightRadius: windowHeight(2.6),
    borderTopLeftRadius: windowHeight(2.6),
    paddingTop: windowHeight(2),
    elevation: 1,
    paddingHorizontal: windowWidth(2),
    borderWidth: 3,
  },
  activeTab: {
    flexDirection: 'row',
    backgroundColor: '#FFC629',
    paddingHorizontal: windowWidth(3),
    paddingVertical: windowHeight(1.2),
    borderRadius: windowWidth(35),
    alignItems: 'center',
  },
  inactiveTab: {
    paddingVertical: 10,
    justifyContent: 'center',
    alignItems: 'center',
  },
  activeLabel: {
    fontSize: windowWidth(3.5),
    fontFamily: appFonts.semiBold,
    color: appColors.black,
    marginLeft: windowWidth(2),
  },
})
export default styles
